/** \file Modulo Principal (agenda)
 *  \brief Definição do registro da agenda
 *
 * Definição do registro de uma agenda. Todos os vetores são estáticos
 * de tamanho máximo fixo, dados pelas constantes.
 *
 */

/* Tamanho máximo em caracteres dos diversos componentes da agenda */
#define TAM_ARQNOME  128   /**< tamanho máximo para nome de arquivo */
#define TAM_NOME      41   /**< tamanho máximo para nome da pessoa */
#define TAM_END      121   /**< tamanho máximo para endereço postal */
#define TAM_FONE      16   /**< tamanho máximo para telefone */
#define TAM_EMAIL     21   /**< tamanho máximo para e-mail */
#define TAM_CIDADE    11   /**< tamanho máximo para cidade */
#define TAM_CEP       10   /**< tamanho máximo para CEP */
#define TAM_ESTADO     3   /**< tamanho máximo para ESTADO */
#define TAM_NIVER     10   /**< tamanho máximo para Data de aniversário */

/** \struct Definição do registro */
struct endereco {
  char nome[TAM_NOME]; /**< nome da pessoa */
  char end[TAM_END]; /**< endereço postal */
  char fone[TAM_FONE];/**< telefone */
  char email[TAM_EMAIL];/**< e-mail */
  char cidade[TAM_CIDADE];/**< cidade */
  char cep[TAM_CEP];/**< CEP */
  char estado[TAM_ESTADO];/**< ESTADO */
  char niver[TAM_NIVER];/**< Data de aniversário */
};

typedef struct endereco ENDERECO; /**< Tipo para representar um registro da agenda.*/

